args "--unamed-opts=audio_file --no-handle-version --conf-parser --no-handle-help"

purpose "Command line audio player"

description "para_play operates either in command mode or in insert
mode. In insert mode it presents a prompt and allows to enter commands
like stop, play, pause etc. In command mode the current audio file
is shown and the program reads single key strokes from stdin. Keys
may be mapped to commands. Whenever a mapped key is pressed, the
associated command is executed."

include(header.m4)
define(CURRENT_PROGRAM,para_play)
define(DEFAULT_CONFIG_FILE,~/.paraslash/play.conf)
define(DEFAULT_HISTORY_FILE,~/.paraslash/play.history)

<qu>
#########################
section "General options"
#########################
</qu>
include(loglevel.m4)
include(config_file.m4)
include(history_file.m4)
<qu>

###############################
section "Options for para_play"
###############################

option "randomize" z
#~~~~~~~~~~~~~~~~~~~
"randomize playlist at startup."
flag off

option "key-map" k
#~~~~~~~~~~~~~~~~~
"Map key k to a command."

string typestr = "key:command [args]"
optional
multiple
details = "
	This option may be given multiple times, one for each key
	mapping. Example:
		5:jmp 50
"
</qu>
